Subject: bug#49060: Acknowledgement (Python-mode sporadically stops recognising single quote '-strings)

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 05 Aug 2021 17:35:43 +0300

I allocated some time to this problem today. To no avail, but commenting here just not to repeat this work next time:

1. python-mode is derived from prog-mode, but the latter has no code for working with single quotes nor has any mention of string-face. So the problem is unlikely to be there.
2. I did lots of editing in attempts to trigger the bug. Specifically, I was creating single-quoted strings and f-strings; first manually, then with a keyboard macro. Again, I couldn't trigger it.
    That makes me thinking, the problem may be some race condition of python fontification with another mode. Although, even if that been true, I don't get why would that influence the whole file. It would likely have been local damage, which could've been fixed by adding another singular quote, thus forcing refontification. So, I'm not sure that theory really holds up.

> Perhaps, is there anything useful I can look into, once that problem appears?

Next time it happens, gotta add debug prints to `python--font-lock-f-strings` function, and see the difference between its execution in the file when the problem is triggered compared to when it's not.